package com.inspect.patrol.mapper;

import com.inspect.patrol.domain.PatrolLinkageMessage;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PatrolLinkageMessageMapper {
    PatrolLinkageMessage selectPatrolLinkageMessageByLinkageMessageId(Long messageId);

    List<PatrolLinkageMessage> selectPatrolLinkageMessageList(PatrolLinkageMessage message);

    int insertPatrolLinkageMessage(PatrolLinkageMessage message);

    int updatePatrolLinkageMessage(PatrolLinkageMessage message);

    int deletePatrolLinkageMessageByLinkageMessageId(Long messageId);

    int deletePatrolLinkageMessageByLinkageMessageIds(Long[] messageIds);
}
